Skip to main content

Forward a Participant

POST 

/agreements/:agreement_id/participants/:participant_id/forward

Forwards the invitation to sign to another email address

Request​

Path Parameters

    agreement_id cuidrequired

    POST /agreements/:agreement_id/participants/:participant_id/forward parameter

    participant_id cuidrequired

    POST /agreements/:agreement_id/participants/:participant_id/forward parameter

Body

POST /agreements/:agreement_id/participants/:participant_id/forward request body

    forward_to_email stringrequired

Responses​

POST /agreements/:agreement_id/participants/:participant_id/forward Successful response

Schema
    version stringrequired

    Possible values: [1.0]

    resource_type stringrequired

    Possible values: [forward]

    result_type stringrequired

    Possible values: [single]

    data objectrequired
    status stringrequired
    previous_email stringrequired
    forwarded_to_email stringrequired
    participant objectrequired
    version stringrequired

    Possible values: [1.0]

    The version of the response schema

    result_type stringrequired

    Possible values: [single]

    A single object of the participant resource.

    resource_type stringrequired

    Possible values: [participant]

    Data contains the participant resource.

    data object

    The participant resource

    oneOf
    role stringrequired

    Possible values: [approver]

    The role of the participant

    decision_made_at stringnullablerequired

    UTC datetime ISO string

    id cuidrequired

    The unique identifier of the participant

    resource_type stringrequired

    Possible values: [participant]

    name stringnullablerequired

    The name of the participant. Required if no email is provided.

    email stringnullablerequired

    The email of the participant. Required if agreemnt is configured to send emails.

    status stringrequired

    Possible values: [draft, pending, initiated, processing, fulfilled, rejected]

    The status of the participant

    order doublenullablerequired

    Possible values: <= 1.7976931348623157e+308

    The queue number of the participant (if sequential signing order is enabled)

    signing_group object required
    oneOf

    string

    agreement cuidrequired

    The unique identifier for the agreement this participant belongs to

    signing_room_url urlnullablerequired

    The URL to the signing room for the participant. Only available after the agreement has been finalized for signing.

    signing_room_link objectnullable

    The current Signing Room Link for the participant. Null before the agreement is finalized, or when no current link exists.

    version stringrequired

    Possible values: [1.0]

    The version of the response schema

    result_type stringrequired

    Possible values: [single]

    A single object of the signing_room_link resource.

    resource_type stringrequired

    Possible values: [signing_room_link]

    Data contains the signing_room_link resource.

    data objectrequired

    The resource data.

    id cuidrequired

    The unique identifier of the Signing Room Link

    resource_type stringrequired

    Possible values: [signing_room_link]

    agreement_id cuidrequired

    The unique identifier of the agreement the link opens

    url urlrequired

    The full signing room URL. It is a bearer credential: anyone with it can open the signing room for this participant.

    status stringrequired

    Possible values: [active, expired, revoked]

    Whether the link still grants access to the signing room. An expired link can be rotated; a revoked link cannot.

    expires_at stringrequired

    When the link stops granting access to the signing room

    created_at stringrequired

    UTC datetime ISO string

    updated_at stringrequired

    UTC datetime ISO string

    locale stringnullable

    Possible values: [sv-SE, en-US]

    The locale for the participant. Can be overridden from the signing room, but this value serves as the default if nothing else is specified.

    created_at stringrequired

    UTC datetime ISO string

    updated_at stringrequired

    UTC datetime ISO string

Loading...